Subject: #297: p1 7.2.4: retrying requests

From: Mark Nottingham <[email-masked]>
Date: Tue, 19 Jul 2011 23:22:48 +1000

<http://trac.tools.ietf.org/wg/httpbis/trac/ticket/297>

On 24/06/2011, at 4:25 PM, Mark Nottingham wrote:

> My current thinking is to life the retry-specific text out of 7.1.4 into a new section, possibly adding advice (along the lines you mention). 

I think that moving this out to a separate section is a largely editorial change. However, I feel that we should also downgrade the SHOULD to a MAY retry when the connection is closed; there isn't any reason to require a retry, and software might have good reasons not to. Also, there are a lot of implementations out there that don't retry.

Make sense?

Also...

> I'm inclined to propose removing section 7.2.4 altogether, because it's very specific to a certain kind of request (one with a body where the connection drops to a proxy or HTTP/1.0 server, when there isn't an Expect: 100-continue header), and doing so can result in the server seeing a non-idempotent request being repeated multiple times, which is bad.

Any objection to this?

--
Mark Nottingham   http://www.mnot.net/